# geos::geom::MultiPoint Class Reference

Models a collection of Point objects. More...

`#include <geos.h>`

Inheritance diagram for geos::geom::MultiPoint:

List of all members.

## Public Member Functions

Dimension::DimensionType | getDimension () const
| Returns point dimension (0).
int | getBoundaryDimension () const
| Returns Dimension::False (Point has no boundary).
Geometry * | getBoundary () const
| Returns an EMPTY Geometry.
std::string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | isSimple () const
| Returns false if the Geometry not simple.
bool | equalsExact (const Geometry *other, double tolerance=0) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
Geometry * | clone () const
| Make a deep-copy of this Geometry.

## Protected Member Functions

| MultiPoint (std::vector< Geometry * > *newPoints, const GeometryFactory *newFactory)
| Constructs a `MultiPoint`.
| MultiPoint (const MultiPoint &mp)
const Coordinate * | getCoordinateN (int n) const

## Friends

class | GeometryFactory

## Detailed Description

Models a collection of Point objects.

## Constructor & Destructor Documentation

geos::geom::MultiPoint::MultiPoint | ( | std::vector< Geometry * > * | newPoints,
|  | const GeometryFactory * | newFactory |
| ) |  |  | `[protected]`

Constructs a `MultiPoint`.

Parameters:

  | newPoints | the `Point`s for this `MultiPoint`, or `null` or an empty array to create the empty geometry. Elements may be empty `Point`s, but not `null`s.

Constructed object will take ownership of the vector and its elements.

Parameters:

  | newFactory | The GeometryFactory used to create this geometry Caller must keep the factory alive for the life-time of the constructed MultiPoint.

The documentation for this class was generated from the following file:

- MultiPoint.h